/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.codenameonefr.cn1filmsbox;

import com.codename1.io.Preferences;
import com.codename1.ui.Button;
import com.codename1.ui.ComboBox;
import com.codename1.ui.Command;
import com.codename1.ui.Dialog;
import com.codename1.ui.Form;
import com.codename1.ui.Label;
import com.codename1.ui.events.ActionEvent;
import com.codename1.ui.events.ActionListener;
import com.codename1.ui.layouts.BoxLayout;

/**
 *
 * @author Doderic
 */
public class Parametres extends Form implements ActionListener{
    
    private CN1FilmsBox main;
    private ComboBox langues;
    private Command retour;
    private Button enregParam;
    
    public Parametres(CN1FilmsBox main)
    {
        this.main=main;
        setTitle("Paramtres");
        BoxLayout mainLayout=new BoxLayout(BoxLayout.Y_AXIS);
        setLayout(mainLayout);
        
        Label langLabel=new Label("Langue");
        langues=new ComboBox();
        langues.addItem("Franais");
        langues.addItem("Anglais");
        enregParam=new Button("Enregistrer");
        
        addComponent(langLabel);
        addComponent(langues);
        addComponent(enregParam);
        
        retour=new Command("Retour");
        setBackCommand(retour);
        
        addCommand(retour);
        
        enregParam.addActionListener(this);
        addCommandListener(this);
    }
    
    public void chargerParametres(){
        //Chargement de l'indice de la langue effectue par l'utilisateur
        int choixLangue=Preferences.get("Lang_Pref", 0);
        /*Le choix de la langue par dfaut est redfini sur l'interface 
        avec la valeur de l'indice charge du Storage cr par la classe Preferences*/
        langues.setSelectedIndex(choixLangue);
    }

    public void actionPerformed(ActionEvent evt) {
        /*Si le bouton Enregistrer est appuy, sauvegarder l'indice 
        de la langue choisie dans le Storage des Preferences*/
        if(evt.getSource()==enregParam){
            Preferences.set("Lang_Pref", langues.getSelectedIndex());            
            Dialog.show("Effectu!", "Changement effectu. Vous devez redmarrer l'application", "OK", null);
        }
        //Si le bouton Retour est appuy alors retourner  l'interface 
        if(evt.getCommand()==retour){
            main.afficheAccueil();
        }
    }
    
}
