public class CheckBoxTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        Image imageAnd=null;
        Image imageIos=null;
        try {
        imageAnd=Image.createImage("/android.png");
        imageIos=Image.createImage("/ios.png");
        } catch (IOException ex) {
        Dialog.show("Erreur de chargement", ex.getMessage(), "OK", null);
        }
        CheckBox checkb=new CheckBox("Codename One");
        CheckBox checkb2=new CheckBox(imageAnd);
        CheckBox checkb3=new CheckBox("iPhone, iPad.", imageIos);
        
        f.addComponent(checkb);
        f.addComponent(checkb2);
        f.addComponent(checkb3);
        f.show();
    }
    

    public void stop() {
    }
    
    public void destroy() {
    }

}