public class ImageViewerTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        ImageViewer iv=new ImageViewer();
        DefaultListModel<Image> listeImages=new DefaultListModel<Image>();
        try{
        listeImages.addItem(Image.createImage("/slide1.jpg"));
        listeImages.addItem(Image.createImage("/slide2.jpg"));
        } catch(IOException ex){
        Dialog.show("Erreur", ex.getMessage(),"OK",null);
        }
        iv.setImage(listeImages.getItemAt(0));
        iv.setImageList(listeImages);
        
        f.addComponent(iv);

        f.show();
    }
    

    public void stop() {
    }
    
    public void destroy() {
    }

}