public class LabelTest{

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        Label text=new Label();
        text.setText("Je suis un joli label");
        Image icone=null;
        try {
        icone=Image.createImage("/bonhomme.jpg");
        } catch (IOException ex) {
        Dialog.show("Erreur de chargement", ex.getMessage(), "OK", null);
        }
        Label img=new Label(icone);
        Label imgtxt=new Label(icone);
        imgtxt.setText("Hey Einstein");
        imgtxt.setTextPosition(Component.RIGHT);
        
        f.addComponent(text);
        f.addComponent(img);
        f.addComponent(imgtxt);
        f.show();
    }

    public void stop() {

    }
    
    public void destroy() {
    }

}