package com.mycompany.myapp;


import com.codename1.ui.Display;
import com.codename1.ui.Form;
import com.codename1.ui.Label;
import com.codename1.ui.List;
import com.codename1.ui.layouts.BoxLayout;
import com.codename1.ui.list.DefaultListModel;
import com.codename1.ui.list.MultiList;
import com.codename1.ui.plaf.UIManager;
import com.codename1.ui.util.Resources;
import java.io.IOException;
import java.util.Hashtable;

public class List_Ex {

    private Form current;

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }

    }
    
    public void start() {
        if(current != null){
            current.show();
            return;
        }
        
        Form f=new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        f.setScrollable(false);
        
        DefaultListModel model=new DefaultListModel();
        model.addItem("Thalande");
        model.addItem("Japon");
        model.addItem("Rpublique dominicaine");
        model.addItem("Nouvelle zlande");
        
        List listePays=new List(model);
        listePays.setFixedSelection(List.FIXED_NONE_CYCLIC);
        listePays.setRenderer(new Rendu());
       
        
        f.addComponent(listePays);
        f.show();
    }

    public void stop() {
        current = Display.getInstance().getCurrent();
    }
    
    public void destroy() {
    }

}
