public class MapComponentTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        MapComponent map=new MapComponent();
        try {
        Image img=Image.createImage("/location.png");
        Location location=LocationManager.getLocationManager().getCurrentLocationSync();
        Coord coordonnees=new Coord(location.getLatitude(),location.getLongitude());
        PointLayer pl=new PointLayer(coordonnees, "Hello! Vous êtes ici",
        img);
        pl.setDisplayName(true);
        PointsLayer pointsL=new PointsLayer();
        pointsL.addPoint(pl);
        pointsL.setPointIcon(img);
        map.addLayer(pointsL);
        } catch (IOException ex) {
        Dialog.show("Erreur", ex.getMessage(), "Ok", null);
        }
        map.zoomToLayers();
        
        f.addComponent(map);

        f.show();
    }
    

    public void stop() {
    }
    
    public void destroy() {
    }

}