public class RadioButtonTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        Image cn1=null;
        Image xamarin=null;
        try {
        cn1=Image.createImage("/cn1logo.png");
        xamarin=Image.createImage("/xamarin.png");
        } catch (IOException ex) {
        Dialog.show("Erreur de chargement", ex.getMessage(), "OK", null);
        }
        ButtonGroup group=new ButtonGroup();
        RadioButton rb1=new RadioButton("Codename One",cn1);
        RadioButton rb3=new RadioButton(xamarin);
        RadioButton rb2=new RadioButton("Titanium");
        group.add(rb1);
        group.add(rb2);
        group.add(rb3);
        
        f.addComponent(rb1);
        f.addComponent(rb2);
        f.addComponent(rb3);
        f.show();
    }
    

    public void stop() {
    }
    
    public void destroy() {
    }

}
