public class CloudStorageTest {
   

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }

    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
       final TextField nom=new TextField();
nom.setHint("Entre ton nom beau gosse");
final TextField profession=new TextField();
profession.setHint("Entre ta profession aussi");
Button enreg=new Button("Enregistrer dans le cloud");
enreg.addActionListener(new ActionListener() {
public void actionPerformed(ActionEvent evt) {
CloudObject cObj=new CloudObject("Identite",
CloudObject.ACCESS_PUBLIC_READ_ONLY);
cObj.setString("nom", nom.getText());
cObj.setString("profession", profession.getText());
cObj.setIndexString(1, profession.getText());
CloudStorage.getInstance().save(cObj);
int resultat=CloudStorage.getInstance().commit();
if(resultat!=CloudStorage.RETURN_CODE_SUCCESS){
Dialog.show("Erreur", "Erreur d'enregistrement "+resultat, "Ok",
null);
} else {
Dialog.show("Effectué", "Données envoyées dans le cloud", "Ok",
null);
}

}
});
Button afficher=new Button("Afficher contenu du cloud");
afficher.addActionListener(new ActionListener() {
public void actionPerformed(ActionEvent evt) {
try{
CloudObject[] elements=CloudStorage.getInstance().querySorted(
"Identites", 1, true, 0, 5, CloudObject.ACCESS_PUBLIC_READ_ONLY);
for(CloudObject cObj:elements){
Dialog.show("Identite", "Bonjour "+cObj.getString("nom")
+ "le "+cObj.getString("profession"), "Ok", null);
}
} catch (CloudException ex){
Dialog.show("Erreur", "Erreur de lecture"+ex.getMessage(), "Ok", null);
}
}
});
f.addComponent(nom);
f.addComponent(profession);
f.addComponent(enreg);
f.addComponent(afficher);

        


        f.show();
        
    }
    


    public void stop() {
    }
    
    public void destroy() {
    }

}