public class CaptureTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        final Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        Button photo=new Button("Photographier");
        Button audio=new Button("Enregistrer");
        
        Button video=new Button("Filmer");
final Label cadrePhoto=new Label();
cadrePhoto.getStyle().setAlignment(Component.CENTER);
photo.addActionListener(new ActionListener() {
public void actionPerformed(ActionEvent evt) {
String cheminPhoto=Capture.capturePhoto();
if(cheminPhoto!=null) {
Image img=null;
try {
img=Image.createImage(cheminPhoto);
} catch (IOException ex) {
Dialog.show("Erreur!", ex.getMessage(), "OK", null);
}
cadrePhoto.setIcon(img.scaled(350, 400));
f.revalidate();
}
}
});
audio.addActionListener(new ActionListener() {
public void actionPerformed(ActionEvent evt) {
String cheminAudio=Capture.captureAudio();
if(cheminAudio!=null) {
Dialog.show("Achevé!", "Enregistrement audio terminé", "OK", null);
}
}
});
video.addActionListener(new ActionListener() {
public void actionPerformed(ActionEvent evt) {
String cheminVideo=Capture.captureVideo();
if(cheminVideo!=null) {
Dialog.show("Achevé!", "Enregistrement vidéo terminé", "OK", null);
}
}
});
f.addComponent(photo);
f.addComponent(audio);
f.addComponent(video);
f.addComponent(cadrePhoto);

        f.show();
    }
    
    
    

    public void stop() {
    }
    
    public void destroy() {
    }

}