public class Traduction {
   

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
		
		L10NManager lm=Display.getInstance().getLocalizationManager();
String langue=lm.getLanguage();
if(!langue.equals("fr")) {
Hashtable loc=theme.getL10N("MesTraductions", "en");
UIManager.getInstance().setBundle(loc);
}
    }

    
    
    public void start() {
Form f = new Form("Traduction");
f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
Label nom=new Label("Nom");
TextField nomF=new TextField();
Label adresse=new Label("Adresse");
TextField adresseF=new TextField();
Label numero=new Label("Numéro de téléphone");
TextField numeroF=new TextField();
numeroF.setConstraint(TextField.NUMERIC);
Button envoyer=new Button("Envoyer");
f.addComponent(nom);
f.addComponent(nomF);
f.addComponent(adresse);
f.addComponent(adresseF);
f.addComponent(numero);
f.addComponent(numeroF);
f.addComponent(envoyer);
f.show();
}
    

    public void stop() {
    }
    
    public void destroy() {
    }

}
