/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.codenameonefr.cn1filmsbox;

import com.codename1.components.ShareButton;
import com.codename1.ui.Button;
import com.codename1.ui.Command;
import com.codename1.ui.Component;
import com.codename1.ui.Container;
import com.codename1.ui.Dialog;
import com.codename1.ui.Display;
import com.codename1.ui.Form;
import com.codename1.ui.events.ActionEvent;
import com.codename1.ui.events.ActionListener;
import com.codename1.ui.layouts.BorderLayout;
import com.codename1.ui.layouts.BoxLayout;
import com.codename1.ui.layouts.FlowLayout;

/**
 *
 * @author Doderic
 */
public class Accueil extends Form implements ActionListener {
    
    private CN1FilmsBox main;
    private Command quitter;
    private Button filmsPopul;
    private Button aPropos;
    private Button parametres;
    
    public Accueil(CN1FilmsBox main){
        this.main=main;
        //Cration d'un BorderLayout suivi de son ajout  la fentre
        BorderLayout mainLayout=new BorderLayout();
        mainLayout.setCenterBehavior(BorderLayout.CENTER_BEHAVIOR_CENTER);
        setLayout(mainLayout);
        setTitle("CN1FilmsBox");
        //--Ajout d'une image de fond  la fentre cre par Form
        getStyle().setBgImage(CN1FilmsBox.theme.getImage("Sintel2.jpg"));
        
        //Cration d'un Container et de 3 boutons. 
        Container actionsC=new Container(new BoxLayout(BoxLayout.Y_AXIS));
        filmsPopul=new Button("Films populaires",CN1FilmsBox.theme.getImage("Filmroll.png"));
        parametres=new Button("Paramtres",CN1FilmsBox.theme.getImage("parametres.png"));
        aPropos=new Button("A propos",CN1FilmsBox.theme.getImage("186.png"));
        
        //Ajout des 3 boutons au Container
        actionsC.addComponent(filmsPopul);
        actionsC.addComponent(parametres);
        actionsC.addComponent(aPropos);
        
        //Cration d'un Container pour accueillir le bouton de partage
        Container partageC=new Container(new FlowLayout(Component.RIGHT));
        //Cration du bouton de partage et ajout au container prcedmment cr
        ShareButton partager=new ShareButton();
        if(CN1FilmsBox.getLangue().equals("fr")){
            partager.setTextToShare("Salut! CN1FilmsBox permet d'obtenir des informations sur les films les plus populaires du moment. "
                + "Elle dlivre aussi la liste des meilleurs films d'une anne quelconque.");
        } else {
            partager.setTextToShare("Hi! You can grab informations about popular films with CN1FilmsBox. You can also have the list of the best films of any year");
        }
        
        partageC.addComponent(partager);
        //Cration d'une Command Quitter pour fermer l'application
        quitter=new Command("Quitter");
        addCommand(quitter);
        setBackCommand(quitter);
        
        addComponent(BorderLayout.CENTER,actionsC);
        addComponent(BorderLayout.SOUTH,partageC);
        
        //Abonnement des 3 boutons et du Form au listener pour la rception d'venements
        filmsPopul.addActionListener(this);
        parametres.addActionListener(this);
        aPropos.addActionListener(this);
        addCommandListener(this);
    }

    public void actionPerformed(ActionEvent evt) {
        //Rcupration de la commande qui a mit le signal
        Command cmd=evt.getCommand();
        //Rcupration de l'objet qui a mit le signal
        Object obj=evt.getSource();
        
        if(obj==filmsPopul){
            //Si le bouton appuy est "Films populaires" alors afficher l'interface de la classe FilmsPopulaires.
            main.afficheFilmsPopulaires();
            
        } else if(obj==parametres){
            //Si le bouton appuy est "Paramtres" alors afficher l'interface de la classe Paramtres.
            main.afficheParametres();
            
        } else if(obj==aPropos){
            //Affichage d'une bote de sialogue avec le nom de l'auteur et le site de l'API web utilise.
            Dialog.show("A propos","informations_auteur",Dialog.TYPE_INFO,CN1FilmsBox.theme.getImage("175.png"),"Ok",null);
        }
        
        if(cmd==quitter){
            //Si la commande Quitter est appuye alors fermer l'application.
            Display.getInstance().exitApplication();
        }
        
    }
    
}
