/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.codenameonefr.cn1filmsbox;

import com.codename1.components.MultiButton;
import com.codename1.io.ConnectionRequest;
import com.codename1.io.JSONParser;
import com.codename1.ui.Container;
import com.codename1.ui.Dialog;
import com.codename1.ui.events.ActionEvent;
import com.codename1.ui.events.ActionListener;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.List;
import java.util.Map;

/**
 *
 * @author Doderic
 */
public class RequeteReseau extends ConnectionRequest {
    
    private Container c;
    private int nbreResults=0;
    private List results;
    //Cl de l'API
    private static final String CLE_API="ce671f5e29e1353dbef2f26473725e11";
    
    public RequeteReseau(Container c, String url)
    {
        this.c=c;
        //Ajout de l'URL  interroger
        setUrl(url);
        //Ajout de la mthode GET pour la rcupration des donnes
        setPost(false);
        //Ajout du paramtre api_key qui prend comme valeur la cl de l'API
        addArgument("api_key", CLE_API);
    }
    
    @Override
    protected void postResponse() {
        nbreResults=results.size();
        
        for(int i=0;i<nbreResults;i++){
            Map result=(Map)results.get(i);
            
            final String titreFilm=(String)result.get("original_title");
            final String dateSortieFilm=(String)result.get("release_date");
            final double noteFilm=(Double)result.get("vote_average");
            final double nbreVote=(Double)result.get("vote_count");
            
            MultiButton infoFilm=new MultiButton();
            infoFilm.setEmblem(CN1FilmsBox.theme.getImage("arrow.png"));
            infoFilm.setTextLine1(titreFilm);
            infoFilm.setTextLine2("Date de sortie: "+dateSortieFilm);
            infoFilm.addActionListener(new ActionListener() {

                public void actionPerformed(ActionEvent evt) {
                    /*Appel de afficheDetailsFilm() qui va crer et afficher 
                    les informations qui lui sont passes en paramtre*/
                    FilmsPopulaires.afficheDetailsFilm(titreFilm, dateSortieFilm, String.valueOf(noteFilm), String.valueOf(nbreVote));
                }
            });
            c.addComponent(infoFilm);
        }
        //Actualisation de l'interface
        c.revalidate();
        //Cette boite de dialogue affiche le nombre de films tlchargs
        Dialog.show("Termin!",String.valueOf(nbreResults)+" films trouvs", "Ok", null);
        
    }

    @Override
    protected void readResponse(InputStream input) throws IOException {
        JSONParser parser=new JSONParser();
        Map data=parser.parseJSON(new InputStreamReader(input));
        results=(List)data.get("results");
    }

}
