public class ButtonTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        Button b1=new Button("Premier bouton");
        Image icone=null;
        try {
        icone=Image.createImage("/bonhomme.jpg");
        } catch (IOException ex) {
        Dialog.show("Erreur de chargement", ex.getMessage(), "OK", null);
        }
        Button b2=new Button(icone);
        Button b3=new Button("Troisième bouton", icone);
        
        f.addComponent(b1);
        f.addComponent(b2);
        f.addComponent(b3);
        f.show();
    }

    public void stop() {
    }
    
    public void destroy() {
    }

}