public class ComboBoxTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        ComboBox cb1=new ComboBox();
        cb1.addItem("Eric");
        cb1.addItem("Patricia");

        ComboBox cb2=new ComboBox(new String[]
        {"CodenameOne","Titanium","Xamarin"});
        
        f.addComponent(cb1);
        f.addComponent(cb2);

        f.show();
    }
    

    public void stop() {
    }
    
    public void destroy() {
    }

}