public class ListTest1 {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        f.setScrollable(false);
        DefaultListModel model=new DefaultListModel();
        model.addItem("Thaïlande");
        model.addItem("Japon");
        model.addItem("République dominicaine");
        model.addItem("Nouvelle Zélande");
        List listePays=new List(model);
        listePays.setFixedSelection(List.FIXED_NONE_CYCLIC);
        
        f.addComponent(listePays);

        f.show();
    }
    

    public void stop() {
    }
    
    public void destroy() {
    }

}
