public class MultiButtonTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    
    public void start() {
Form f = new Form("Frameworks mobiles multiplateformes");
BoxLayout layout= new BoxLayout(BoxLayout.Y_AXIS);
f.setLayout(layout);
Image icone=null;
Image embleme=null;
try {
icone=Image.createImage("/cn1logo.png");
embleme=Image.createImage("/arrow.png");
} catch (IOException ex) {
Dialog.show("Erreur de chargement", ex.getMessage(), "OK", null);
}
MultiButton mb1=new MultiButton();
mb1.setTextLine1("CodenameOne");
mb1.setTextLine2("SDK utilisant Java");
mb1.setTextLine3("Formidable et unique");
mb1.setTextLine4("www.codenameone.com");
mb1.setIcon(icone);
mb1.setEmblem(embleme);
mb1.addActionListener(new ActionListener() {
public void actionPerformed(ActionEvent evt) {
Dialog.show("Codename One", "Créez votre prochain succès avec Codename One", "Ok", null);
}
});
MultiButton mb2=new MultiButton();
mb2.setRadioButton(true);
mb2.setSelected(true);
mb2.setTextLine1("Xamarin");
mb2.setTextLine2("SDK utilisant le C#");

MultiButton mb3=new MultiButton();
mb3.setCheckBox(true);
mb3.setSelected(true);
mb3.setTextLine1("Titanium");
mb3.setTextLine2("SDK utilisant le JavaScript");

MultiButton mb4=new MultiButton();
mb4.setHorizontalLayout(true);
mb4.setTextLine1("PhoneGap");
mb4.setTextLine2("HTML/JS/CSS");
mb4.setTextLine3("Adapté aux développeurs web");
f.addComponent(mb1);
f.addComponent(mb2);
f.addComponent(mb3);
f.addComponent(mb4);
f.show();
}

    public void stop() {
    }
    
    public void destroy() {
    }

}