public class PickerTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        Picker p=new Picker();
        p.setType(Display.PICKER_TYPE_DATE);
        Picker p2=new Picker();
        p2.setType(Display.PICKER_TYPE_TIME);
        Picker p3=new Picker();
        p3.setType(Display.PICKER_TYPE_DATE_AND_TIME);
        Picker p4=new Picker();
        p4.setType(Display.PICKER_TYPE_STRINGS);
        p4.setStrings(new String[]{"CodenameOne","Titanium","Xamarin"});
        
        f.addComponent(p);
        f.addComponent(p2);
        f.addComponent(p3);
        f.addComponent(p4);

        f.show();
    }
    

    public void stop() {
    }
    
    public void destroy() {
    }

}