public class SwipeableContainerTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        CheckBox choix=new CheckBox();
        MultiButton mb=new MultiButton();
        mb.setTextLine1("Codename One");
        mb.setTextLine2("Eric Dodji Gbofu");
        mb.setTextLine3("2015");
        
        SwipeableContainer sc=new SwipeableContainer(choix, mb);
        
        f.addComponent(sc);

        f.show();
    }
    

    public void stop() {
    }
    
    public void destroy() {
    }

}