public class TextAreaTest {

    public void init(Object context) {
        try {
            Resources theme = Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {

        Form f = new Form("Ma superbe application mobile");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        TextArea ta1=new TextArea(5, 10);
        TextArea ta2=new TextArea("La vie est belle",5, 10);
        TextArea ta3=new TextArea(2, 10, TextArea.PASSWORD);
        TextArea ta4=new TextArea("Je suis super heureux", 30);
        
        f.addComponent(ta1);
        f.addComponent(ta2);
        f.addComponent(ta3);
        f.addComponent(ta4);
        f.show();
    }
    

    public void stop() {
    }
    
    public void destroy() {
    }

}