package com.mycompany.myapp;


import com.codename1.components.InfiniteProgress;
import com.codename1.components.Progress;
import com.codename1.facebook.FaceBookAccess;
import com.codename1.io.ConnectionRequest;
import com.codename1.io.FileSystemStorage;
import com.codename1.io.JSONParser;
import com.codename1.io.NetworkEvent;
import com.codename1.io.NetworkManager;
import com.codename1.io.Util;
import com.codename1.io.services.ImageDownloadService;
import com.codename1.media.Media;
import com.codename1.media.MediaManager;
import com.codename1.ui.Button;
import com.codename1.ui.Dialog;
import com.codename1.ui.Display;
import com.codename1.ui.EncodedImage;
import com.codename1.ui.Form;
import com.codename1.ui.Label;
import com.codename1.ui.URLImage;
import com.codename1.ui.events.ActionEvent;
import com.codename1.ui.events.ActionListener;
import com.codename1.ui.layouts.BoxLayout;
import com.codename1.ui.plaf.UIManager;
import com.codename1.ui.util.Resources;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.util.Hashtable;

public class TestCN1Reseau implements ActionListener {

    private Form current;
    private Button telechargerMusique;
    private Button telechargerImage;
    private Label image;
    private Form f;
    

    public void init(Object context) {
        try {
            Resources theme=Resources.openLayered("/theme");
            UIManager.getInstance().setThemeProps(theme.getTheme(theme.getThemeResourceNames()[0]));
        } catch(IOException e){
            e.printStackTrace();
        }
    }
    
    public void start() {
        if(current!=null){
            current.show();
            return;
        }
        
        f=new Form("Test de tlchargement");
        f.setLayout(new BoxLayout(BoxLayout.Y_AXIS));
        
        telechargerMusique=new Button("Tlcharger la musique");
        telechargerImage=new Button("Tlcharger une image");
        image=new Label();
        
        f.addComponent(telechargerMusique);
        f.addComponent(telechargerImage);
        f.addComponent(image);
        
        telechargerMusique.addActionListener(this);
        telechargerImage.addActionListener(this);
        f.show();
    }

    public void stop() {
        current=Display.getInstance().getCurrent();
        
    }
    
    public void destroy() {
    }

    public void actionPerformed(ActionEvent evt) {
        
        Object obj=evt.getSource();
        if(obj==telechargerMusique){
            
            
            ConnectionRequest requete=new ConnectionRequest(){
                
                FileSystemStorage fs=FileSystemStorage.getInstance();
                String chemin=fs.getAppHomePath();
                

                @Override
                protected void postResponse() {
                    System.out.println("Termin");
//                    if(Dialog.show("Termin", "Tlchargement termin", "OK", null)){
//                        InputStream in=null;
//                        
//                        try{
//                            in=FileSystemStorage.getInstance().openInputStream(chemin+"Expedition.mp3");
//                            Media m=MediaManager.createMedia(in, "audio/mp3");
//                            m.play();
//                            
//                        }catch(IOException ex){
//                            Dialog.show("Erreur", ex.getMessage(), "OK", null);
//                            
//                        } finally {
//                            Util.cleanup(in);
//                        }
//                        
//                    }
                }

                @Override
                protected void readResponse(InputStream input) throws IOException {
                    JSONParser parser=new JSONParser();
                    Hashtable h=parser.parse(new InputStreamReader(input));
                    System.out.println(h);
//                    OutputStream out=null;
//                    
//                    try {
//                        out=fs.openOutputStream(chemin+"Expedition.mp3");
//                        Util.copy(input, out);
//
//                    }catch(IOException ex) {
//                        Dialog.show("Erreur", "Erreur innatendue: "+ex.getMessage(), "OK", null);
//
//                    } finally {
//                        Util.cleanup(out);
//                    }
                }
                                   
            };
            
            //requete.setUrl("http://localhost/Expedition.mp3");
            requete.setUrl("https://twitter.com/search?q=codenameone");
            requete.setPost(false);
            //requete.addArgument("screen_name", "doderic");
            //requete.setContentType("audio/mp3");
            
            NetworkManager.getInstance().addToQueue(requete);
            
//            InfiniteProgress progress=new InfiniteProgress();
//            Dialog d=progress.showInifiniteBlocking();
//            requete.setDisposeOnCompletion(d);
            
            Progress p=new Progress("Patientez SVP", requete);
            p.setDisposeOnCompletion(true);
            p.show();
            
        } else if(obj==telechargerImage){
            
            //ImageDownloadService.createImageToStorage("http://localhost/Beach.jpg", image, "photo", null
            try{
                EncodedImage img=EncodedImage.create("/photo.jpg");
                URLImage.createToStorage(img, "ph", "http://localhost/Beach.jpg", URLImage.RESIZE_SCALE_TO_FILL);
            
            }catch(IOException ex){
                System.out.println(ex.getMessage());
            }
            
            //ImageDownloadService.createImageToFileSystem("http://localhost/photo.jpg", this, FileSystemStorage.getInstance().getAppHomePath()+"coucou.jpg")
            //Util.downloadUrlToFile("http://localhost/dsc01037.jpg", FileSystemStorage.getInstance().getAppHomePath()+"coucou.jpg", true);
            f.revalidate();
        }
        
    }

}
